%global ename  arc-menu-oreon
	
%global extdir %{_datadir}/gnome-shell/extensions/arcmenu@arcmenu.com

%global gschemadir  %{_datadir}/glib-2.0/schemas
	
Name:           gnome-shell-extension-%{ename}
	
Version:        49
	
Release:        1%{?dist}
	
Summary:        Integrated icon taskbar and status panel for Gnome Shell
	
License:        GPL-2.0-or-later
	
URL:            https://gitlab.com/arcmenu/ArcMenu
	
Source0:        ../SOURCES/arc-menu-49.tar.gz
	
# correct install paths
	
BuildArch:      noarch
	
BuildRequires:  gettext
	
BuildRequires:  make
	
BuildRequires:  %{_bindir}/glib-compile-schemas
	
Requires:       clutter
	
Requires:       gnome-shell >= 45~rc
	
 
	
%description
	
Dash to Panel is an icon taskbar for Gnome Shell. This extension moves the dash
	
into the gnome main panel so that the application launchers and system tray are
	
combined into a single panel, similar to that found in KDE Plasma and Windows
	
7+. A separate dock is no longer needed for easy access to running and favorited
	
applications.
	
 
	
%prep
%autosetup -n arc-menu-%{version} -p 1


%build
%make_build


%install
%make_install

# clean
mkdir -p %{buildroot}%{gschemadir}
#cp -a %{buildroot}%{extdir}/schemas/org.gnome.shell.extensions.arcmenu.gschema.xml %{buildroot}%{gschemadir}/
cp -a %{buildroot}%{gschemadir} %{buildroot}%{extdir}
%{__rm} -fr %{buildroot}%{extdir}/{COPYING*,README*}

# Fedora handles this using triggers.
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
  %{_bindir}/glib-compile-schemas %{extdir}/schemas &> /dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{gschemadir} &> /dev/null || :
%{_bindir}/glib-compile-schemas %{extdir}/schemas &> /dev/null || :

%files
%license COPYING
%doc README.md
%{extdir}
%{gschemadir}/org.gnome.shell.extensions.arcmenu.gschema.xml
%{gschemadir}
%lang(ar) %{_datadir}/locale/ar/LC_MESSAGES/arcmenu.mo
%lang(be) %{_datadir}/locale/be/LC_MESSAGES/arcmenu.mo
%lang(bg) %{_datadir}/locale/bg/LC_MESSAGES/arcmenu.mo
%lang(ca) %{_datadir}/locale/ca/LC_MESSAGES/arcmenu.mo
%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/arcmenu.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/arcmenu.mo
%lang(el) %{_datadir}/locale/el/LC_MESSAGES/arcmenu.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/arcmenu.mo
%lang(et) %{_datadir}/locale/et/LC_MESSAGES/arcmenu.mo
%lang(fi) %{_datadir}/locale/fi/LC_MESSAGES/arcmenu.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/arcmenu.mo
%lang(he) %{_datadir}/locale/he/LC_MESSAGES/arcmenu.mo
%lang(hi_IN) %{_datadir}/locale/hi_IN/LC_MESSAGES/arcmenu.mo
%lang(hu) %{_datadir}/locale/hu/LC_MESSAGES/arcmenu.mo
%lang(id) %{_datadir}/locale/id/LC_MESSAGES/arcmenu.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/arcmenu.mo
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/arcmenu.mo
%lang(ko) %{_datadir}/locale/ko/LC_MESSAGES/arcmenu.mo
%lang(nb_NO) %{_datadir}/locale/nb_NO/LC_MESSAGES/arcmenu.mo
%lang(nl) %{_datadir}/locale/nl/LC_MESSAGES/arcmenu.mo
%lang(oc) %{_datadir}/locale/oc/LC_MESSAGES/arcmenu.mo
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/arcmenu.mo
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/arcmenu.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/arcmenu.mo
%lang(si) %{_datadir}/locale/si/LC_MESSAGES/arcmenu.mo
%lang(sk) %{_datadir}/locale/sk/LC_MESSAGES/arcmenu.mo
%lang(sr) %{_datadir}/locale/sr/LC_MESSAGES/arcmenu.mo
%lang(sr@latin) %{_datadir}/locale/sr@latin/LC_MESSAGES/arcmenu.mo
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/arcmenu.mo
%lang(szl) %{_datadir}/locale/szl/LC_MESSAGES/arcmenu.mo
%lang(tr) %{_datadir}/locale/tr/LC_MESSAGES/arcmenu.mo
%lang(uk) %{_datadir}/locale/uk/LC_MESSAGES/arcmenu.mo
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/arcmenu.mo
%lang(zh_TW) %{_datadir}/locale/zh_TW/LC_MESSAGES/arcmenu.mo
